%define name openjade
%define version 1.3
%define release 15mdk
%define sgmlbase %{_prefix}/share/sgml

Summary: Jade and SP -- parser and tools for SGML + DSSSL
Name: %{name}
Version: %{version}
Release: %{release}
Source: http://download.sourceforge.net/openjade/openjade-%{version}.tar.bz2
Patch0: openjade-1.3-decl.patch.bz2
Patch1: openjade-1.3-strdup.patch.bz2
Patch2: openjade-foo.patch.bz2
Patch3: openjade-1.3-size_t.patch.bz2
Patch4: openjade-1.3-31525.patch.bz2
Patch5: openjade-1.3-lt.patch.bz2
Patch6: openjade-1.3-fix-compile.patch.bz2
Patch7: openjade-builtins.patch.bz2
Patch8: openjade-1.3-features.patch.bz2
Patch9: openjade-1.3-twosidestartonright.patch.bz2

License: Copyright 1997 James Clark
Group: Publishing
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
Obsoletes: jade
Provides: jade
PreReq: sgml-common >= 0.2

%description
 Jade (James' DSSSL Engine) is an implementation of the DSSSL style
language.

%prep

%setup -q
%patch -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1 
%patch8 -p1
%patch9 -p1  

%build
cp config/configure.in .
%configure --enable-static --enable-default-catalog=/etc/sgml/catalog  --enable-default-search-path=/usr/share/sgml --datadir=%{sgmlbase}
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{prefix}/{doc,lib,bin,include/sp/generic,include/sp/include,include/sp/lib}
mkdir -p $RPM_BUILD_ROOT%{sgmlbase}/%{name}-%{version}

%makeinstall datadir=$RPM_BUILD_ROOT/%{sgmlbase}

# oMy, othis ois osilly.
ln -s openjade $RPM_BUILD_ROOT/%{prefix}/bin/jade
for file in nsgmls sgmlnorm spam spent sx ; do
   ln -s o$file $RPM_BUILD_ROOT/%{prefix}/bin/$file
done

mv $RPM_BUILD_ROOT%{prefix}/bin/sx $RPM_BUILD_ROOT%{prefix}/bin/sgml2xml
install generic/*.h $RPM_BUILD_ROOT%{prefix}/include/sp/generic/
install include/*.h $RPM_BUILD_ROOT%{prefix}/include/sp/include/
install lib/*.h $RPM_BUILD_ROOT%{prefix}/include/sp/lib/
cp dsssl/catalog $RPM_BUILD_ROOT%{sgmlbase}/%{name}-%{version}/
cp dsssl/dsssl.dtd dsssl/style-sheet.dtd dsssl/fot.dtd $RPM_BUILD_ROOT%{sgmlbase}/%{name}-%{version}/
# relocate builtins.dsl for pre-LSB compliance (see patch)
mv  $RPM_BUILD_ROOT%{sgmlbase}/builtins.dsl $RPM_BUILD_ROOT%{sgmlbase}/%{name}-%{version}/

%post
ldconfig  
for i in /etc/sgml/dsssl-%{version}.cat /etc/sgml/sgml-docbook-*.cat; do
  %{prefix}/bin/install-catalog --add $i %{sgmlbase}/%{name}-%{version}/catalog 2>/dev/null
done
ln -s -f /etc/sgml/dsssl-%{version}.cat /etc/sgml/dsssl.cat

%postun
ldconfig 
# Do not remove if upgrade
if [ "$1" = "0" ]; then 
    for i in /etc/sgml/dsssl-%{version}.cat /etc/sgml/sgml-docbook-*.cat; do
        %{prefix}/bin/install-catalog --remove $i %{sgmlbase}/%{name}-%{version}/catalog 2>/dev/null
    done
# Is it last docbook catalog?
    if [ ! -e /etc/sgml/dsssl-%{version}.cat ]; then 
	rm -f /etc/sgml/sgml-docbook.cat
	OTHERCAT=`ls /etc/sgml/dsssl-?.?.cat 2> /dev/null | head --lines 1`
	if [ -n "$OTHERCAT" ]; then ln -s $OTHERCAT /etc/sgml/dsssl.cat; fi
    fi
fi


%clean 
rm -rf $RPM_BUILD_ROOT 

%files
%defattr(-,root,root)
%doc doc/ jadedoc/ dsssl/ pubtext/ unicode/ README COPYING VERSION
%attr(- root root) %{prefix}/bin/*
%attr(- root root) %{prefix}/lib/*
%{prefix}/include/sp/generic/*
%{prefix}/include/sp/include/*
%{prefix}/include/sp/lib/*
%{sgmlbase}/%{name}-%{version}/*



%changelog 
* Fri Aug 24 2001  <camille@mandrakesoft.com> 1.3-15mdk
- add 2 patches for correct pages numbering with docbook
  from Ian Castle and Francis J. Lacoste

* Mon Jul 16 2001  <camille@mandrakesoft.com> 1.3-14mdk
- fix address in changelog....

* Mon Jul 16 2001  <camille@mandrakesoft.com> 1.3-13mdk
- oops, add catalog in right file...
- apply again needed openjade-builtins.patch (why did it disappear?)

* Mon Jul 16 2001  <camille@mandrakesoft.com> 1.3-12mdk
- Add catalog in sgml-docbook.cat

* Wed Jun 20 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.3-11mdk
- s|Requires|Prereq|;sgml-common (fcrozat).
- Fix compilations.

* Mon Nov 27 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.3-10mdk
- Don't compile with optimisations.

* Wed Nov 08 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.3-9mdk
- RH patch merge.
- Compile with gcc2.96.

* Sun Sep 03 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.3-8mdk
- Rebuilt as jade is not finding the new version of docbook-style-dsssl it is
  still looking for the old one.

* Mon Aug 28 2000 Camille Begnis <camille@mandrakesoft.com> 1.3-7mdk
- relocate builtins.dsl

* Thu Aug 24 2000 Camille Begnis <camille@mandrakesoft.com> 1.3-6mdk
- Requires: sgml-common >= 0.2

* Wed Aug 23 2000 Camille Begnis <camille@mandrakesoft.com> 1.3-5mdk
- Pre-LSB compliance

* Mon Jul 03 2000 Camille Begnis <camille@mandrakesoft.com> 1.3-4mdk
- Add %post -p ldconfig and %postun -p ldconfig

* Fri Jun 30 2000 Camille Begnis <camille@mandrakesoft.com> 1.3-3mdk
- recompile with newer libstdc++

* Tue Jun 20 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.3-2mdk
- User makeinstall macros.

* Tue May 23 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.3-1mdk
- Set -fexecpltions to CFLAGS when compiling on ia32.
- Rename package to openjade (add Provides: Obsoletes: jade).
- compile with egcs.
- Clean up specs.

* Tue Mar 21 2000 Camille Begnis <camille@mandrakesoft.com> 1.2.1-9mdk
- major spec update 
- remove sources from rpm
- fixed doc

* Sun Dec 19 1999 John Buswell <johnb@mandrakesoft.com>
- Fixed docs

* Tue Dec 14 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix build with gcc2.95.

* Sun Nov 07 1999 John Buswell <johnb@mandrakesoft.com>
- Added Url and updated source url
- Build Release

* Tue Jul 13 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- bzip2 source


* Thu Jul 08 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- First version with the help of author.
